%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	python modules for numerical operations
Name:      	numpy
Version:   	1.1.0
Release:   	1
License: 	LGPL
URL:		http://numpy.scipy.org//
Group:     	Development/Libraries
Source0: 	%{name}-%{version}.tar.gz
Patch0:         numpy-1.0.1-f2py.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
BuildRequires:	lapack
BuildRequires:  glibc-devel
BuildRequires:	gcc-gfortran

Provides:	f2py

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The fundamental package needed for scientific computing with Python is called NumPy.  This package contains:

* a powerful N-dimensional array object
* sophisticated (broadcasting) functions
* basic linear algebra functions
* basic Fourier transforms
* sophisticated random number capabilities
* tools for integrating Fortran code.

Besides it's obvious scientific uses, NumPy can also be used as an efficient multi-dimensional container of generic data. Arbitrary data-types can be defined. This allows NumPy to seamlessly and speedily integrate with a wide-variety of databases. NumPy derives from the old Numeric code base and can be used as a replacement for Numeric.   It also adds the features introduced by Numarray and can also be used to replace Numarray.  

%package	devel
Summary:	numpy library C bindings
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description	devel
Install this if you need to access the numpy C bindings.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .f2py

%build
env ATLAS=%_libdir FFTW=%_libdir BLAS=%_libdir \
    LAPACK=%_libdir CFLAGS="$RPM_OPT_FLAGS" \
    %__python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

env ATLAS=%_libdir FFTW=%_libdir BLAS=%_libdir \
    LAPACK=%_libdir CFLAGS="$RPM_OPT_FLAGS" \
    %__python setup.py install --root $RPM_BUILD_ROOT

rm -rf docs-f2py ; mv $RPM_BUILD_ROOT%{python_sitearch}/%{name}/f2py/docs docs-f2py
mv -f $RPM_BUILD_ROOT%{python_sitearch}/%{name}/f2py/f2py.1 f2py.1
rm -rf doc ; mv -f $RPM_BUILD_ROOT%{python_sitearch}/%{name}/doc .
install -D -p -m 0644 f2py.1 $RPM_BUILD_ROOT%_mandir/man1/f2py.1

pushd $RPM_BUILD_ROOT%_bindir &> /dev/null
# symlink for anyone who was using f2py.numpy
ln -s f2py f2py.numpy
popd &> /dev/null

%check
pushd doc &> /dev/null
PYTHONPATH="$RPM_BUILD_ROOT%{python_sitearch}" %__python -c "import pkg_resources, numpy ; numpy.test(1, 1)"
popd &> /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc docs-f2py doc/* LICENSE.txt
%_bindir
%_mandir/man*/*
%{python_sitearch}

%changelog
* Sun Jul 13 2008 Christian Wasem <wasem@ccux-linux.de> 1.1.0-1
- Version Update
* Wed Mar 12 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.4-1
- Version Update, tweaked specfile (building and installing)
* Tue Jan 29 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.3.1-2
- rebuild against gcc 4.1.2
* Sun Sep 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3.1-1
- Version update
* Sun Jul 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Initial Release
